## ros-noetic-cob-perception-common 0.6.19

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_perception_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-cob-perception-common (0.6.19-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.18-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.17-1focal) focal; urgency=high

  * Merge pull request #102 <https://github.com/ipa320/cob_perception_common/issues/102> from fmessmer/minimal_cob_vision_utils
    minimal cob_vision_utils
  * Revert "remove cob_vision_utils"
    This reverts commit ce1a4f9a397abd11f4d038c5ea4c769324bf53af.
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.16-1focal) focal; urgency=high

  * Merge pull request #101 <https://github.com/ipa320/cob_perception_common/issues/101> from fmessmer/test_noetic
    test noetic
  * remove cob_vision_utils
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <rmb@ipa.fhg.de>  Fri, 09 Oct 2020 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.15-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-perception-common (0.6.14-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.13-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-perception-common (0.6.12-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * use license apache 2.0
  * Contributors: ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <rmb@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-perception-common (0.6.10-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.9-1focal) focal; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <rmb@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.8-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.7-1focal) focal; urgency=high

  * add cob_3d_mapping_msgs to meta-package
  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * conversion to package format 2
  * Contributors: Richard Bormann, ipa-fmw, ipa-fxm

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.6-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.5-1focal) focal; urgency=high

  * increase version number
  * update changelog
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_perception_common into 320-indigo_dev
  * added a visualization program for cob_object_detection_msgs::DetectionArray messages, displays as a MarkerArray in Rviz
  * Merge pull request #43 <https://github.com/ipa320/cob_perception_common/issues/43> from ipa320/indigo_release_candidate
    Indigo release candidate
  * catkinizing
  * Removed precompiled header file. It is now located in cob_vision_utils. The file is relevant when compiling with visual studio
  * Using standard random number generator, replaced precompiled headers with references to a file within this metapackage. Adapted package description.
  * Contributors: Florian Weisshardt, Richard Bormann, ipa-jsf, rmb-om

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.4-1focal) focal; urgency=high

  * 0.5.12
  * update changelog
  * cleanup changelog
  * 0.5.11
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.3-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 07 Sep 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.2-1focal) focal; urgency=high

  * increase version number for indigo
  * 0.5.10
  * update changelog
  * downgrade version for hydro
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.1-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.6.0-1focal) focal; urgency=high

  * merge
  * 0.5.6
  * 0.5.5
  * update changelog
  * 0.5.5
  * change maintainer
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.5.10-1focal) focal; urgency=high

  * downgrade version for hydro
  * 0.6.1
  * update changelog
  * 0.6.0
  * update changelog
  * merge
  * 0.5.5
  * change maintainer
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.5.5-1focal) focal; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-cob-perception-common (0.5.4-1focal) focal; urgency=high

  * unify version number
  * update changelog
  * update meta-package
  * adjust url and provide short form of email
  * convert stack to metapackge, ignore all pacakges within for now
  * Contributors: Florian Weisshardt, ipa-fxm, ipa-mig

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-cob-perception-common
Section: misc
Priority: optional
Maintainer: Richard Bormann <rmb@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/cob_perception_common
Standards-Version: 3.9.2

Package: ros-noetic-cob-perception-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cob-3d-mapping-msgs, ros-noetic-cob-cam3d-throttle, ros-noetic-cob-image-flip, ros-noetic-cob-object-detection-msgs, ros-noetic-cob-object-detection-visualizer, ros-noetic-cob-perception-msgs, ros-noetic-cob-vision-utils
Description: This stack provides utilities commonly needed for a variety of computer vision tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-perception-common//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
